External capacity
Inspect governed external fallback
GET
/
api
/
v1
/
deployments
/
{name}
/
external-policy
Inspect governed external fallback
curl --request GET \
--url http://127.0.0.1:18000/api/v1/deployments/{name}/external-policy \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:18000/api/v1/deployments/{name}/external-policy"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:18000/api/v1/deployments/{name}/external-policy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:18000/api/v1/deployments/{name}/external-policy"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"policy": {
"adapter": "<string>",
"cost_limit_microusd": 123,
"deployment_id": "<string>",
"enabled": true,
"id": "<string>",
"max_request_cost_microusd": 123,
"privacy_acknowledged": true,
"request_limit": 123,
"target_id": "<string>",
"breach_intervals": 123,
"cooldown_seconds": 123,
"cost_reserved_microusd": 123,
"created_at": "2023-11-07T05:31:56Z",
"queue_threshold": 123,
"recovery_intervals": 123,
"requests_reserved": 123,
"secret_reference_id": "<string>",
"signal_max_age_seconds": 123,
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"category": "<string>",
"remediation": "<string>",
"request_id": "<string>",
"retryable": true
}
}⌘I
Inspect governed external fallback
curl --request GET \
--url http://127.0.0.1:18000/api/v1/deployments/{name}/external-policy \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:18000/api/v1/deployments/{name}/external-policy"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:18000/api/v1/deployments/{name}/external-policy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:18000/api/v1/deployments/{name}/external-policy"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"policy": {
"adapter": "<string>",
"cost_limit_microusd": 123,
"deployment_id": "<string>",
"enabled": true,
"id": "<string>",
"max_request_cost_microusd": 123,
"privacy_acknowledged": true,
"request_limit": 123,
"target_id": "<string>",
"breach_intervals": 123,
"cooldown_seconds": 123,
"cost_reserved_microusd": 123,
"created_at": "2023-11-07T05:31:56Z",
"queue_threshold": 123,
"recovery_intervals": 123,
"requests_reserved": 123,
"secret_reference_id": "<string>",
"signal_max_age_seconds": 123,
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"category": "<string>",
"remediation": "<string>",
"request_id": "<string>",
"retryable": true
}
}